<?php 
function tpl_4f0d98d1_main__mUfD0SIZWPDcNR5aQVb6AA($tpl, $ctx) {
$_thistpl = $tpl ;
$_translator = $tpl->getTranslator() ;
?>
<ul class="top_nav">
		<li><a href="<?php echo phptal_escape($ctx->MAIN_URL) ?>"><?php echo phptal_escape($ctx->SITE) ?></a></li>
		<li><a href="<?php echo phptal_escape($ctx->URL_ADMIN) ?>"><?php echo phptal_escape($ctx->ADMIN_PAGE) ?></a></li>
		<li class="current"><?php echo phptal_escape($ctx->M_USERS_NAME) ?></li>

</ul>

<div style="padding:10px;padding-top:0px;">
	
	<table class="data" width="100%" align="left" id="table">

	<tr>
		<td colspan="8" style="padding:5px;">
	  
	  
	  	<div style="font-size:10px;padding-left:10px;">
		  	
				<div style="width:200px;float:left">
				 <p>
				 <input type="text" style="width:40px" onkeyup="table.where_id(event)" id="filter_id"/>&nbsp; <b><?php echo phptal_escape($ctx->M_USERS_FILTER_ID) ?></b>
				  </p>
				</div>  
			
				<div style="width:200px;float:left">
				<p>
				  <input type="text" style="width:80px" onkeyup="table.where_login(event)" id="filter_login"/>&nbsp; <b><?php echo phptal_escape($ctx->M_USERS_FILTER_ULOGIN) ?></b>
				  </p>
				</div>
				
				<div style="width:200px;float:right">
		  		<b><a style="color:#F8A720;font-size:14px;" onclick="table.edit(0)">Добавить пользователя</a></b>
				</div>
			
		</div>
	  	
	  	
		</td>
	</tr>
	
	<tr class="header">
	  <td width="3%"><img onclick="table.orderby_id(this)" class="ASC"/>№</td>
	  <td width="25%">
		<img onclick="table.orderby_login(this)" class="ASC"/><?php echo phptal_escape($ctx->M_USERS_TITLE_LOGIN) ?>
	  </td>
	  
	 
	  <td width="25%"><?php echo phptal_escape($ctx->M_USERS_TITLE_TIME_REG) ?></td>
	  

	  <td width="12%" colspan="3"><?php echo phptal_escape($ctx->ACTION) ?></td>
	  </tr>
	
	<tbody id="table_content">

		<?php 
$ctx->pushSlots() ;
$tpl->_executeMacroOfTemplate('inc/row.html/row', $_thistpl) ;
$ctx->popSlots() ;
?>

	
	</tbody>
	
	</table>
	
	
</div>

<script>/*<![CDATA[*/

	/*	клиентская часть, отвечает за аякс	*/
table = {
	'server' :"<?php echo strtr(phptal_tostring($ctx->URL_USERS_CONTROL_MEMBERS) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>",
	'orderby_key' : false,
	'orderby_value'   : false,
	'page'				:1,
	'filter_active'		: false,
	'filter_id'				: false,
	'filter_login'			: false,
	'filter_group'			: false,
	
}
table.lock = function(){
	wnd.onload = false;
	wnd.set_title('');
	wnd.set_content('<?php echo strtr(phptal_tostring($ctx->WAIT) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>');
	wnd.show();
}
table.unlock = function(){
	wnd.close();
}

table.pagenav = function(pn){
	table.page = pn;
	table.reload(true);
}


	//	сортируем по номеру страницы
table.orderby_id = function(img){
	if ( img.className == 'ASC' ){
		img.className='DESC';
	}else{
		img.className='ASC';
	}
	table.orderby_value = img.className
	table.orderby_key = 'orderby_id';
	table.reload(true);
}

	//	сортируем по номеру страницы
table.orderby_login = function(img){
	if ( img.className == 'ASC' ){
		img.className='DESC';
	}else{
		img.className='ASC';
	}
	table.orderby_value = img.className
	table.orderby_key = 'orderby_login';
	table.reload(true);
}

	//	удаляем  mid
table.del = function(mid){
	r = new request( table.server+'&act=ajax_delete');
	r.onrequest = function(){ 
		table.lock();
	}
	r.onload = function(r)
	{
		table.reload(false);
		table.unlock();
	}
	r.send({'id':mid});	
}
table.undel = function(mid){
	r = new request( table.server+'&act=ajax_undelete');
	r.onrequest = function(){ 
		table.lock();
	}
	r.onload = function(r)
	{
		table.reload(false);
		table.unlock();
	}
	r.send({'id':mid});	
}


	

table.where_active = function(v){
	table.filter_active = v;
	table.page = 1;
	table.reload(true);
}
table.where_group = function(v){
	table.filter_group = v;
	table.page = 1;
	table.reload(true);
}



table.where_id = function(e){
	var keynum
	var keychar
	var numcheck

	if(window.event) {
		keynum = e.keyCode
	}else if(e.which) {
		keynum = e.which
	}
	if ( keynum==13 ){
		if ( o.$('filter_id').value ){
			//	покажем только ожидающие модерации
			table.filter_id =  o.$('filter_id').value;
		}else{
			//	покажим все
			table.filter_id = false;
		}
		table.page = 1;
		table.reload(true);
	}
}

table.where_login = function(e){
	var keynum
	var keychar
	var numcheck

	if(window.event) {
		keynum = e.keyCode
	}else if(e.which) {
		keynum = e.which
	}
	if ( keynum==13 ){
		if ( o.$('filter_login').value ){
			//	покажем только ожидающие модерации
			table.filter_login =  o.$('filter_login').value;
		}else{
			//	покажим все
			table.filter_login = false;
		}
		table.page = 1;
		table.reload(true);
	}
}




	//	форма 
table.banned = function(id){
	r = new request( table.server+'&act=ajax_banned');
	r.onrequest = function(){ 
		table.lock();
	}
	r.onload = function(r)
	{
		table.reload(false);
		table.unlock();
	}
	r.send({'id':id});	
}


	//	форма 
table.unbanned = function(id){
	r = new request( table.server+'&act=ajax_unbanned');
	r.onrequest = function(){ 
		table.lock();
	}
	r.onload = function(r)
	{
		table.reload(false);
		table.unlock();
	}
	r.send({'id':id});	
}

	//	форма редактирования 
table.edit = function(fid){
	wnd.open(table.server+'&act=ajax_edit&id='+fid);
}

	//	функция сохранения изменений формы
table.save_page = function(){
	r = new request(  table.server+'&act=ajax_save' );
	r.onload = function(rst){
		
		//o.$('message').style.display='block';
		//o.$('message').innerHTML =rst.msg
	  o.msg.system(rst.msg)
		table.reload(false);
	}
	r.error = function(e){
	  o.msg.error(e)
		//o.$('message').style.display='block';
		//o.$('message').innerHTML =e; 
		
	}
	r.form( o.$('form_page') );
}








	//	перезагружаем таблицу страниц согласно соортировке и фильтрам
table.reload = function(lock){

	r = new request( table.server+'&act=ajax_reload' );
	r.onrequest = function(){ 
		if ( lock ){
			table.lock();
		}
		
	};
	r.onload = function(rst){ 
		o.$('table_content').innerHTML = rst.content;	
		if ( lock ){
			table.unlock();
		}
	};
	
	r.send( 
			{
			'filter_active':table.filter_active,
			'filter_group':table.filter_group,
			'orderby_key':table.orderby_key, 
			'orderby_value':table.orderby_value,
			'page':table.page,
			'filter_id':table.filter_id,
			'filter_login':table.filter_login,
		
			} 
	)
	
	
}




/*]]>*/</script><?php 
/* end */ ;

}

?><?php /* 
*** DO NOT EDIT THIS FILE ***

Generated by PHPTAL from /var/www/autolifeX/auto-life.ua/mobile/source/modules/users/tmpl/control_members/main.html (edit that file instead) */; ?>